Bug 975050 - token_format should be set to UUID in keystone.conf
Summary: token_format should be set to UUID in keystone.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 3.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: 3.0
Assignee: Martin Magr
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On:
Blocks: 975153 978853 984683
TreeView+ depends on / blocked
 
Reported: 2013-06-17 13:55 UTC by Giulio Fidente
Modified: 2016-04-26 21:56 UTC (History)
11 users (show)

Fixed In Version: openstack-packstack-2013.1.1-0.18.dev631.el6ost
Doc Type: Release Note
Doc Text:
The default PackStack configuration of Keystone generates UUID tokens. Administrators wishing to generate and use PKI tokens must: 1) Generate the PKI files using the keystone-manage command: # keystone-manage pki_setup \ --keystone-user keystone \ --keystone-group keystone 2) Ensure that Keystone has ownership of the files in the /etc/keystone/ssl/ and /var/log/keystone/ directories: # chown -R keystone:keystone /etc/keystone/ssl/ /var/log/keystone/ 3) Update the value of the token_format configuration key in /etc/keystone/keystone.conf to PKI: # openstack-config --set /etc/keystone/keystone.conf \ token_format PKI 4) Restart the openstack-keystone service: # service openstack-keystone restart
Clone Of:
: 975153 (view as bug list)
Environment:
Last Closed: 2013-06-27 17:18:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
token_format patch (902 bytes, patch)
2013-06-17 14:15 UTC, Martin Magr
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0968 0 normal SHIPPED_LIVE Red Hat OpenStack 3.0 ("Grizzly") bug fix and enhancement update 2013-06-27 21:14:27 UTC

Description Giulio Fidente 2013-06-17 13:55:08 UTC
Description of problem:
in Grizzly the default token_format changed from UUID to PKI; we want that to be configured back to PKI by packstack


Version-Release number of selected component (if applicable):
openstack-packstack-2013.1.1-0.17.dev631.el6ost.noarch

Comment 2 Martin Magr 2013-06-17 14:15:23 UTC
Created attachment 762039 [details]
token_format patch

Comment 12 Ami Jeain 2013-06-19 09:12:39 UTC
# cat /etc/keystone/keystone.conf |grep ^token_format
token_format = UUID

Comment 18 errata-xmlrpc 2013-06-27 17:18:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0968.html


Note You need to log in before you can comment on or make changes to this bug.